---
title: Overview
toc: true
---

::: component-summary

A divider is a thin line that visually separates content into sections.

:::

::: component-section-level-one-title

## Usage

:::

:::component-section-level-one

Use a divider to separate content to visually signify a change of topic, focus, or expected interaction. Use a divider with or without a header – place dividers in the content area or inside container components.

:::

<DocDoDont>
<DocDo summary="Use a divider between sections. The section headers are optional." demoHeight="298">
<div>
    <img src="/images/core-components/divider/cds-divider-do.png" alt="Image of divider used to break up groups of form inputs">
</div>
</DocDo>
<DocDont slot="dont" summary="Overuse divider by placing them between individual items" demoHeight="298">
<div>
    <img src="/images/core-components/divider/cds-divider-dont.png" alt="Image of divider used after every input in a form">
</div>
</DocDont>
</DocDoDont>

::: component-section-level-one-title

## Types

:::

:::component-section-level-one

There are two types of dividers: horizontal and vertical.

:::

::: component-section-level-two-title

### Horizontal

:::

:::component-section-level-two

Horizontal dividers can separate content vertically. They are more commonly used.

:::

<div class="clr-row">
<div class="clr-col-sm-12 clr-col-lg-6" cds-layout="p-b:lg p-b@lg:none">
<img alt="Image showing horizontal dividers being used inside cards" height="348" src="/images/core-components/divider/cds-divider-card.png" />
<p cds-text="caption" cds-layout="p-t:md p-b:md" style="min-height: 5.125rem">Horizontal dividers in a card component separating the title, content, and actions</p>
</div>
<div class="clr-col-sm-12 clr-col-lg-6">
<img alt="Image showing dividers separating navigation groups in a vertical navigation bar" height="348" src="/images/core-components/divider/cds-divider-nav.png" />
<p cds-text="caption" cds-layout="p-t:md p-b:md" style="min-height: 5.125rem">Horizontal divider in a vertical nav component separating sections with headers</p>
</div>
</div>

::: component-section-level-two-title

### Vertical

:::

:::component-section-level-two

Dividers can also change orientation to be vertical. Vertical dividers can separate content horizontally.

:::

<div class="clr-row">
<div class="clr-col-sm-12 clr-col-lg-6" cds-layout="p-b:lg p-b@lg:none">
<img alt="Image showing a vertical divider between header text and a clickable action in a card" height="252" src="/images/core-components/divider/cds-divider-vertical.png" />
<p cds-text="caption" cds-layout="p-t:sm p-b:md" style="min-height: 5.125rem">A vertical divider separating a header and an action.</p>
</div>
<div class="clr-col-sm-12 clr-col-lg-6">
<img alt="Image showing a vertical dividers between three content areas from left to right" height="252" src="/images/core-components/divider/cds-divider-vertical-2.png" />
<p cds-text="caption" cds-layout="p-t:sm p-b:md" style="min-height: 5.125rem">Vertical headers separating 3 clusters of feature content</p>
</div>
</div>
