---
title: Themes
toc: true
---

::: component-section-level-one-title

## Themes

:::

::: component-section-level-one

Clarity offers two default themes — light and dark. These themes can be used without modification to optimize user experience or they can be used as a guideline for creating [custom themes](/foundation/themes/usage/#custom-theme) in Clarity.

:::

:::component-section-level-two-title

### Light Theme

:::

:::component-section-level-two

<div class="clr-row">
<div class="clr-col" cds-layout="vertical align:top">

Light theme is Clarity’s default. It is best suited to **content-rich applications** where users will be working with the application in **well-lit conditions** for brief periods of time throughout the day. Light theme can help prevent eye strain in applications where a user is expected to **read a large amount of content** — like documentation or a blog.

</div>
<div class="clr-col" cds-layout="vertical align:top">
<ClrImage width="100%" alt="Light Theme" src="/images/foundation/themes/theme-light.svg" />
</div>
</div>

:::

:::component-section-level-two-title

### Dark Theme

:::

:::component-section-level-two

<div class="clr-row">
<div class="clr-col" cds-layout="vertical align:top">

Dark theme is best suited for applications that are **content-sparse, yet highly interactive**. A dark theme can help with eye strain if a user works with an application over a long span of time but in a way that requires **focus but not a great amount of reading**.

</div>
<div class="clr-col" cds-layout="vertical align:top">
<ClrImage width="100%" alt="Dark Theme" src="/images/foundation/themes/theme-dark.svg" />
</div>
</div>

:::
