# Getting started with Clarity Design System

Clarity is an open-source, enterprise-focused design system with a core design principle of inclusion.

Clarity’s designs stem from continuous exploration and research. These designs are built into our Core components and can be used any web application, regardless of the underlying JavaScript framework. Clarity also offers a set of well-designed and implemented data-bound components built on top of Angular, one of the most popular JavaScript frameworks in the industry.

If you are new to Clarity, we suggest using Clarity's web component implemenation, as this version of our components is the long term vision for Clarity. The existing Clarity Angular components are still stable and supported, but are no longer receiving feature enhancements as we work towards fully realizing the Clarity Core components as the replacement for the Clarity Angular component implementations.

## How to get started

- [Getting started with Clarity for designers](/get-started/design/)
- [Getting started with Clarity Core using our Web Components](/get-started/developing/)
- [Getting started with Clarity Angular using our Angular Components](/get-started/developing/angular/)

## Contributing to Clarity

The Clarity team welcomes contributions from the community. See our [contribution guidelines](https://github.com/vmware/clarity/blob/master/CONTRIBUTING.md) on GitHub.

## Clarity Blog

Clarity regularly blogs about new releases, technical insights, design improvements, and more on our [Clarity Medium publication](https://medium.com/claritydesignsystem). Follow it for important news and information!

## Reporting an Issue

Ongoing work and feature requests are tracked using [GitHub Issues](https://github.com/vmware/clarity/issues). Please feel free to file an issue.

When submitting issues please provide a minimal app that demonstrates the issue by forking one of the Clarity Stackblitz projects. Since it depends on your issue starting with the correct Clarity version and theme will help us deliver support. You can find all of the [StackBlitz templates here](https://stackblitz.com/@clr-team).

## Asking a Question

Ask questions on [GitHub Discussions](https://github.com/vmware/clarity/discussions) to get help with your project. You can also view previous discussions that might answer your questions or even share news about your successes!

## Attributions

See the [legal attributions](https://github.com/vmware/clarity/blob/master/docs/ATTRIBUTION.md) for third party software included in Clarity.
